LinkActionList (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Class LinkActionList

    java.lang.Object
      com.bbn.openmap.layer.link.LinkActionList

All Implemented Interfaces:
  LinkActionConstants, LinkPropertiesConstants

    public class LinkActionList

extends java.lang.Object
implements LinkActionConstants, LinkPropertiesConstants

The LinkActionList carries information about actions that the client should perform in response to a gesture query. The possible actions include URLs and HTML text to display in a browser, information to display in a pop-up window or status display, or changes to make to graphics.

Field Summary
`protected static java.util.Vector` | `emptyGraphicUpdates` Instead of allocating a new empty vector for each gesture response, even if there isn't a graphic update, use this to return an empty vector.
`protected Link` | `link` Link used for the transmission/reception of actions.
`protected java.lang.String` | `linkStatus` The terminator of the gesture section when receiving actions.
`protected LinkProperties` | `mapProperties` Use these properties to set the map
`protected boolean` | `mapUpdate` This flag tells whether properties have been received that note how to update the map.
`protected LinkProperties` | `properties` The properties returned for this list.
`protected boolean` | `reacted`
`protected java.util.Vector` | `updates` Graphics list received.
`protected static float` | `version` Version Number of request format.

Fields inherited from interface com.bbn.openmap.layer.link.LinkActionConstants
`ACTION_GRAPHICS, ACTION_GUI, ACTION_MAP, CLIENT_NOTIFICATION_MASK, GRAPHIC_ID_MASK, KEY_PRESSED_MASK, KEY_RELEASED_MASK, MODIFY_DELETE_GRAPHIC_MASK, MODIFY_DESELECT_GRAPHIC_MASK, MODIFY_DESELECTALL_GRAPHIC_MASK, MODIFY_LOWER_GRAPHIC_MASK, MODIFY_RAISE_GRAPHIC_MASK, MODIFY_SELECT_GRAPHIC_MASK, MOUSE_CLICKED_MASK, MOUSE_DRAGGED_MASK, MOUSE_ENTERED_MASK, MOUSE_EXITED_MASK, MOUSE_MOVED_MASK, MOUSE_PRESSED_MASK, MOUSE_RELEASED_MASK, SERVER_NOTIFICATION_MASK, UPDATE_ADD_GRAPHIC_MASK, UPDATE_GRAPHIC_MASK`

Fields inherited from interface com.bbn.openmap.layer.link.LinkPropertiesConstants
`LPC_BACKWARD_DIAG_PATTERN, LPC_CENTER_LAT, LPC_CENTER_LONG, LPC_CLEAR_PROPERTIES, LPC_CLEAR_PROPERTIES_CHAR, LPC_CROSS_PATTERN, LPC_DASH, LPC_DASH_DOT, LPC_DASH_DOT_DOT, LPC_DIAG_CROSS_PATTERN, LPC_DOT, LPC_FILLCOLOR, LPC_FILLPATTERN, LPC_FORWARD_DIAG_PATTERN, LPC_GRAPHICID, LPC_HEIGHT, LPC_HIGHLIGHTCOLOR, LPC_HORIZONTAL_PATTERN, LPC_HTML, LPC_INFO, LPC_LATMAX, LPC_LATMIN, LPC_LINECOLOR, LPC_LINESTYLE, LPC_LINEWIDTH, LPC_LINKRASTERIMAGEURL, LPC_LINKROTATION, LPC_LINKTEXTBASELINE, LPC_LINKTEXTFONT, LPC_LINKTEXTSTRING, LPC_LONG_DASH, LPC_LONMAX, LPC_LONMIN, LPC_MESSAGE, LPC_OLD_FILLCOLOR, LPC_OLD_FILLPATTERN, LPC_OLD_HIGHLIGHTCOLOR, LPC_OLD_LINECOLOR, LPC_OLD_LINESTYLE, LPC_OLD_LINEWIDTH, LPC_OLD_LINKTEXTFONT, LPC_OLD_LINKTEXTSTRING, LPC_PROJECTION, LPC_PROPERY_MANAGEMENT_POLICY, LPC_PROPERY_MANAGEMENT_POLICY_CHAR, LPC_REUSE_PROPERTIES, LPC_REUSE_PROPERTIES_CHAR, LPC_SCALE, LPC_SOLID, LPC_SOLID_PATTERN, LPC_TIME, LPC_URL, LPC_VERTICAL_PATTERN, LPC_WIDTH`

Constructor Summary
`LinkActionList(Link link, Layer layer, Projection proj, OMGridGenerator generator)` Read the gesture section off the link, from the client.
`LinkActionList(Link link, LinkProperties properties)` Write a gesture response section to the link, from the server side.

Method Summary
`boolean` | `consumedGesture()` Returns true if the gesture was consumed by the server.
`void` | `deselectGraphics()` The server method for writing a request to the client to deselect all the graphics.
`void` | `end(java.lang.String endType)` The server method that needs to be called at the end of sending a gesture response.
`java.util.Vector` | `getGraphicUpdates()` Return all the graphic updates that came across the link, in the form of a Vector of LinkActionList.GraphicUpdate objects.
`java.lang.String` | `getLinkStatus()` After reading the gesture response, this returns the section ending string terminating the gesture section, either Link.END_TOTAL or Link.END_SECTION.
`LinkProperties` | `getMapProperties()` Get the properties for the map update.
`boolean` | `getNeedMapUpdate()` Returns true if a map update command was given.
`LinkProperties` | `getProperties()` Get the properties for the LinkActionList.
`void` | `modifyGraphic(int maskDescription, LinkProperties props)` Server can use this method to modify a graphic with an action described by the MODIFY mask values.
`protected java.lang.String` | `readGestureResponses(Layer layer, Projection proj, OMGridGenerator generator)` If a ACTIONS_HEADER has been encountered coming off the link, then this method should be called to read the string of gesture that follows.
`protected GraphicUpdate` | `readGraphic(int graphicAction, LinkProperties graphicProperties, Projection proj, OMGridGenerator generator)` Read a graphic's particulars, for upates and additions.
`void` | `setNeedMapUpdate(boolean value)` Sets whether a set of MapUpdate parameters needs to be fetched.
`void` | `updateArc(float latPoint, float lonPoint, float radius, float s, float e, LinkProperties properties, int graphicUpdateMask)` Update an arc with a certain radius at a Lat/Lon location.
`void` | `updateArc(float latPoint, float lonPoint, float radius, int units, float s, float e, LinkProperties properties, int graphicUpdateMask)` Update an arc with a certain radius at a Lat/Lon location, and allows you to specify units of the radius.
`void` | `updateArc(float latPoint, float lonPoint, float radius, int units, int nverts, float s, float e, LinkProperties properties, int graphicUpdateMask)` Update an arc with a certain radius at a Lat/Lon location, and allows you to specify units of the radius, as well as the number of vertices to use to approximate the arc.
`void` | `updateArc(float latPoint, float lonPoint, int w, int h, float s, float e, LinkProperties properties, int graphicUpdateMask)` Update an arc with lat/lon placement.
`void` | `updateArc(float latPoint, float lonPoint, int offset_x1, int offset_y1, int w, int h, float s, float e, LinkProperties properties, int graphicUpdateMask)` Writing an arc at a x, y, offset to a Lat/Lon location.
`void` | `updateArc(int x1, int y1, int w, int h, float s, float e, LinkProperties properties, int graphicUpdateMask)` Update an arc with x/y placement.
`void` | `updateBitmap(float lt, float ln, int w, int h, byte[] bytes, LinkProperties properties, int graphicUpdateMask)` Update the bitmap.
`void` | `updateBitmap(float lt, float ln, int offset_x1, int offset_y1, int w, int h, byte[] bytes, LinkProperties properties, int graphicUpdateMask)` Write a bitmap in the response.
`void` | `updateBitmap(int x1, int y1, int w, int h, byte[] bytes, LinkProperties properties, int graphicUpdateMask)` Update the bitmap.
`void` | `updateCircle(float latPoint, float lonPoint, float radius, int units, int nverts, LinkProperties properties, int graphicUpdateMask)` Write a circle in the response.
`void` | `updateCircle(float latPoint, float lonPoint, float radius, int units, LinkProperties properties, int graphicUpdateMask)` Write a circle in the response.
`void` | `updateCircle(float latPoint, float lonPoint, float radius, LinkProperties properties, int graphicUpdateMask)` Write a circle in the response.
`void` | `updateCircle(float latPoint, float lonPoint, int offset_x1, int offset_y1, int w, int h, LinkProperties properties, int graphicUpdateMask)` Write a circle in the response.
`void` | `updateCircle(float latPoint, float lonPoint, int w, int h, LinkProperties properties, int graphicUpdateMask)` Write a circle in the response.
`void` | `updateCircle(int x1, int y1, int w, int h, LinkProperties properties, int graphicUpdateMask)` Write a circle in the response.
`void` | `updateEllipse(float latPoint, float lonPoint, float majorAxisSpan, float minorAxisSpan, int units, float rotationAngle, LinkProperties properties, int graphicUpdateMask)` Write an ellipse in the response.
`void` | `updateEllipse(float latPoint, float lonPoint, int w, int h, float rotateAngle, LinkProperties properties, int graphicUpdateMask)` Write an ellipse in the response.
`void` | `updateEllipse(float latPoint, float lonPoint, int offset_x1, int offset_y1, int w, int h, float rotateAngle, LinkProperties properties, int graphicUpdateMask)` Write an ellipse in the response.
`void` | `updateEllipse(int x1, int y1, int majorAxisSpan, int minorAxisSpan, float rotateAngle, LinkProperties properties, int graphicUpdateMask)` Write an ellipse in the response.
`void` | `updateGraphic(OMGraphic omGraphic, int graphicUpdateMask)` Write an OMGraphic to the response.
`void` | `updateGrid(float lt, float ln, int rows, int columns, float orientation, float vResolution, float hResolution, int major, int[] data, LinkProperties properties, int graphicUpdateMask)` Lat/Lon placement grid.
`void` | `updateGrid(float lt, float ln, int offset_x1, int offset_y1, int rows, int columns, float orientation, float vResolution, float hResolution, int major, int[] data, LinkProperties properties, int graphicUpdateMask)` Lat/lon placement with XY offset.
`void` | `updateGrid(int x1, int y1, int rows, int columns, float orientation, float vResolution, float hResolution, int major, int[] data, LinkProperties properties, int graphicUpdateMask)` XY placement grid.
`void` | `updateLine(float lat_1, float lon_1, float lat_2, float lon_2, int lineType, int nsegs, LinkProperties properties, int graphicUpdateMask)` Write a line in the response.
`void` | `updateLine(float lat_1, float lon_1, float lat_2, float lon_2, int lineType, LinkProperties properties, int graphicUpdateMask)` Write a line in the response.
`void` | `updateLine(float lat_1, float lon_1, int x1, int y1, int x2, int y2, LinkProperties properties, int graphicUpdateMask)` Write a line in the response.
`void` | `updateLine(int x1, int y1, int x2, int y2, LinkProperties properties, int graphicUpdateMask)` Write a line in the response.
`void` | `updatePoint(float lt1, float ln1, int x1, int y1, int radius, LinkProperties properties, int graphicUpdateMask)` Write a point in the response.
`void` | `updatePoint(float lt1, float ln1, int radius, LinkProperties properties, int graphicUpdateMask)` Write a point in the response.
`void` | `updatePoint(int x1, int y1, int radius, LinkProperties properties, int graphicUpdateMask)` Write a point in the response.
`void` | `updatePoly(double[] llpoints, int units, int lType, int nsegs, LinkProperties properties, int graphicUpdateMask)` Write a poly in the response.
`void` | `updatePoly(double[] llPoints, int units, int lType, LinkProperties properties, int graphicUpdateMask)` Write a poly in the response.
`void` | `updatePoly(float latPoint, float lonPoint, int[] xpoints, int[] ypoints, int cMode, LinkProperties properties, int graphicUpdateMask)` Write a poly in the response.
`void` | `updatePoly(float latPoint, float lonPoint, int[] xypoints, int cMode, LinkProperties properties, int graphicUpdateMask)` Write a poly in the response.
`void` | `updatePoly(int[] xpoints, int[] ypoints, LinkProperties properties, int graphicUpdateMask)` Write a poly in the response.
`void` | `updatePoly(int[] xypoints, LinkProperties properties, int graphicUpdateMask)` Write a poly in the response.
`void` | `updateRaster(float lt, float ln, javax.swing.ImageIcon ii, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(float lt, float ln, java.awt.Image image, int image_width, int image_height, LinkProperties properties, int graphicUpdateMask)` Write a bitmap in the response.
`void` | `updateRaster(float lt, float ln, int w, int h, byte[] bytes, java.awt.Color[] colorTable, int trans, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(float lt, float ln, int offset_x1, int offset_y1, javax.swing.ImageIcon ii, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(float lt, float ln, int offset_x1, int offset_y1, java.awt.Image image, int image_width, int image_height, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(float lt, float ln, int w, int h, int[] pix, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(float lt, float ln, int offset_x1, int offset_y1, int w, int h, byte[] bytes, java.awt.Color[] colorTable, int trans, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(float lt, float ln, int offset_x1, int offset_y1, int w, int h, int[] pix, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(float lt, float ln, int offset_x1, int offset_y1, java.lang.String url, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(float lt, float ln, java.lang.String url, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(int x1, int y1, javax.swing.ImageIcon ii, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(int x1, int y1, java.awt.Image image, int image_width, int image_height, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(int x1, int y1, int w, int h, byte[] bytes, java.awt.Color[] colorTable, int trans, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(int x1, int y1, int w, int h, int[] pix, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRaster(int x1, int y1, java.lang.String url, LinkProperties properties, int graphicUpdateMask)` Write a raster in the response.
`void` | `updateRectangle(float lt1, float ln1, float lt2, float ln2, int lType, int nsegs, LinkProperties properties, int graphicUpdateMask)` Write a rectangle in the response.
`void` | `updateRectangle(float lt1, float ln1, float lt2, float ln2, int lType, LinkProperties properties, int graphicUpdateMask)` Write a rectangle in the response.
`void` | `updateRectangle(float lt1, float ln1, int x1, int y1, int x2, int y2, LinkProperties properties, int graphicUpdateMask)` Write a rectangle in the response.
`void` | `updateRectangle(int x1, int y1, int x2, int y2, LinkProperties properties, int graphicUpdateMask)` Write a rectangle in the response.
`void` | `updateText(float latPoint, float lonPoint, int offset_x, int offset_y, java.lang.String stuff, int justify, LinkProperties properties, int graphicUpdateMask)` Write a text in the response.
`void` | `updateText(float latPoint, float lonPoint, int offset_x, int offset_y, java.lang.String stuff, java.lang.String font, int justify, LinkProperties properties, int graphicUpdateMask)` Write a text in the response.
`void` | `updateText(float latPoint, float lonPoint, java.lang.String stuff, int justify, LinkProperties properties, int graphicUpdateMask)` Write a text in the response.
`void` | `updateText(float latPoint, float lonPoint, java.lang.String stuff, java.lang.String font, int justify, LinkProperties properties, int graphicUpdateMask)` Write a text in the response.
`void` | `updateText(int x, int y, java.lang.String stuff, int justify, LinkProperties properties, int graphicUpdateMask)` Write a text in the response.
`void` | `updateText(int x, int y, java.lang.String stuff, java.lang.String font, int justify, LinkProperties properties, int graphicUpdateMask)` Write a text in the response.
`void` | `writeGraphicGestureHeader(int graphicUpdateMask)` Used by the graphic methods to write the correct mask and graphic header when a graphic is updated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### link

    protected Link link

  Link used for the transmission/reception of actions.

### linkStatus

    protected java.lang.String linkStatus

  The terminator of the gesture section when receiving actions.

### reacted

    protected boolean reacted

### mapUpdate

    protected boolean mapUpdate

  This flag tells whether properties have been received that note how to update the map.

### mapProperties

    protected LinkProperties mapProperties

  Use these properties to set the map

### emptyGraphicUpdates

    protected static java.util.Vector emptyGraphicUpdates

  Instead of allocating a new empty vector for each gesture response, even if there isn't a graphic update, use this to return an empty vector.

### updates

    protected java.util.Vector updates

  Graphics list received.

### version

    protected static float version

  Version Number of request format.

### properties

    protected LinkProperties properties

  The properties returned for this list.

Constructor Detail

### LinkActionList

    public LinkActionList(Link link,
                          LinkProperties properties)
                   throws java.io.IOException

  Write a gesture response section to the link, from the server side.

  Parameters:
    `link` - the Link to write to.
  Throws:
    `java.io.IOException`

### LinkActionList

    public LinkActionList(Link link,
                          Layer layer,
                          Projection proj,
                          OMGridGenerator generator)
                   throws java.io.IOException,
                          java.io.EOFException

  Read the gesture section off the link, from the client.

  Parameters:
    `link` - the link to read from.
    `layer` - the client layer.
    `proj` - the projection to use on graphic updates.
    `generator` - an OMGridGenerator that knows how to render grid objects.
  Throws:
    `java.io.IOException`
    `java.io.EOFException`

Method Detail

### getLinkStatus

    public java.lang.String getLinkStatus()

  After reading the gesture response, this returns the section ending string terminating the gesture section, either Link.END_TOTAL or Link.END_SECTION.

  Returns:
    either Link.END_TOTAL or Link.END_SECTION.

### getProperties

    public LinkProperties getProperties()

  Get the properties for the LinkActionList. Any information messages can be picked up from within the properties - html, URL, messages, text and information lines.

  Returns:
    properties

### getMapProperties

    public LinkProperties getMapProperties()

  Get the properties for the map update.

  Returns:
    mapProperties

### getGraphicUpdates

    public java.util.Vector getGraphicUpdates()

  Return all the graphic updates that came across the link, in the form of a Vector of LinkActionList.GraphicUpdate objects.

  Returns:
    Vector of GraphicUpdate objects.

### end

    public void end(java.lang.String endType)
             throws java.io.IOException

  The server method that needs to be called at the end of sending a gesture response. This will tell the link what type of teminator to put on the end of the gesture response section, and also tell the link to fluxh the output stream..

  Parameters:
    `endType` - use Link.END_SECTION if you want to add more types of responses. Use Link.END_TOTAL at the end of the total transmission.
  Throws:
    `java.io.IOException`

### readGestureResponses

    protected java.lang.String readGestureResponses(Layer layer,
                                                    Projection proj,
                                                    OMGridGenerator generator)
                                             throws java.io.IOException,
                                                    java.io.EOFException

  If a ACTIONS_HEADER has been encountered coming off the link, then this method should be called to read the string of gesture that follows. The gestures are read and reacted to directly - the responses that involve the Information Delegator are handled here, and all graphic updates are stored in the graphicUpdates Vector. Assumes the ACTIONS_HEADER has been read.

  Parameters:
    `layer` - the layer that wants the gesture results..
    `proj` - If you want the gesture graphic to be projected as it comes off the wire, add a projection here. Otherwise, use null.
    `generator` - an OMGridGenerator that knows how to render grid objects.
  Returns:
    Link.END_TOTAL or Link.END_SECTION, depending on how the section ends.
  Throws:
    `java.io.IOException`
    `java.io.EOFException`

### readGraphic

    protected GraphicUpdate readGraphic(int graphicAction,
                                        LinkProperties graphicProperties,
                                        Projection proj,
                                        OMGridGenerator generator)
                                 throws java.io.IOException

  Read a graphic's particulars, for upates and additions. Assumes that the gesture type and graphic action has been read.

  Parameters:
    `graphicAction` - the action to take on the graphic.
    `proj` - the projection to apply to the graphic.
    `generator` - an OMGridGenerator that knows how to render grid objects.
  Throws:
    `java.io.IOException`

### consumedGesture

    public boolean consumedGesture()

  Returns true if the gesture was consumed by the server.

### getNeedMapUpdate

    public boolean getNeedMapUpdate()

  Returns true if a map update command was given.

### setNeedMapUpdate

    public void setNeedMapUpdate(boolean value)

  Sets whether a set of MapUpdate parameters needs to be fetched. Should be reset to false after the map projection has been updated.

### deselectGraphics

    public void deselectGraphics()
                          throws java.io.IOException

  The server method for writing a request to the client to deselect all the graphics.

  Throws:
    `java.io.IOException`

### modifyGraphic

    public void modifyGraphic(int maskDescription,
                              LinkProperties props)
                       throws java.io.IOException

  Server can use this method to modify a graphic with an action described by the MODIFY mask values. Assumes that you don't want to update or add a graphic, because that requires the graphic being added.

  Parameters:
    `maskDescription` - an integer with the applicable MODIFY_MASKS set.
    `props` - property list containing the identifier used by the client to know which graphic to modify.
  Throws:
    `java.io.IOException`

### writeGraphicGestureHeader

    public void writeGraphicGestureHeader(int graphicUpdateMask)
                                   throws java.io.IOException

  Used by the graphic methods to write the correct mask and graphic header when a graphic is updated. Should not be called directly unless you understand the protocol.

  Parameters:
    `graphicUpdateMask` - the masked integer to describe the action on the graphic.
  Throws:
    `java.io.IOException`

### updateArc

    public void updateArc(float latPoint,
                          float lonPoint,
                          int w,
                          int h,
                          float s,
                          float e,
                          LinkProperties properties,
                          int graphicUpdateMask)
                   throws java.io.IOException

  Update an arc with lat/lon placement.

  Parameters:
    `latPoint` - latitude of center point, decimal degrees
    `lonPoint` - longitude of center point, decimal degrees
    `w` - horizontal diameter of arc, pixels
    `h` - vertical diameter of arc, pixels
    `s` - starting angle of arc, decimal degrees
    `e` - angular extent of arc, decimal degrees
    `properties` - attributes for the arc.
  Throws:
    `java.io.IOException`

### updateArc

    public void updateArc(int x1,
                          int y1,
                          int w,
                          int h,
                          float s,
                          float e,
                          LinkProperties properties,
                          int graphicUpdateMask)
                   throws java.io.IOException

  Update an arc with x/y placement.

  Parameters:
    `x1` - window position of center point from left of window, in pixels
    `y1` - window position of center point from top of window, in pixels
    `w` - horizontal diameter of arc, pixels
    `h` - vertical diameter of arc, pixels
    `s` - starting angle of arc, decimal degrees
    `e` - angular extent of arc, decimal degrees
    `properties` - attributes for the arc.
  Throws:
    `java.io.IOException`

### updateArc

    public void updateArc(float latPoint,
                          float lonPoint,
                          int offset_x1,
                          int offset_y1,
                          int w,
                          int h,
                          float s,
                          float e,
                          LinkProperties properties,
                          int graphicUpdateMask)
                   throws java.io.IOException

  Writing an arc at a x, y, offset to a Lat/Lon location.

  Parameters:
    `latPoint` - latitude of center of arc.
    `lonPoint` - longitude of center of arc.
    `offset_x1` - # pixels to the right the center will be moved from lonPoint.
    `offset_y1` - # pixels down that the center will be moved from latPoint.
    `w` - horizontal diameter of arc, pixels.
    `h` - vertical diameter of arc, pixels.
    `s` - starting angle of arc, decimal degrees
    `e` - angular extent of arc, decimal degrees
    `properties` - attributes for the arc.
  Throws:
    `java.io.IOException`

### updateArc

    public void updateArc(float latPoint,
                          float lonPoint,
                          float radius,
                          float s,
                          float e,
                          LinkProperties properties,
                          int graphicUpdateMask)
                   throws java.io.IOException

  Update an arc with a certain radius at a Lat/Lon location. Assumes the radius is in decimal degrees.

  Parameters:
    `latPoint` - latitude of center point, decimal degrees
    `lonPoint` - longitude of center point, decimal degrees
    `radius` - distance in decimal degrees
    `s` - starting angle of arc, decimal degrees
    `e` - angular extent of arc, decimal degrees
    `properties` - attributes for the arc.
  Throws:
    `java.io.IOException`

### updateArc

    public void updateArc(float latPoint,
                          float lonPoint,
                          float radius,
                          int units,
                          float s,
                          float e,
                          LinkProperties properties,
                          int graphicUpdateMask)
                   throws java.io.IOException

  Update an arc with a certain radius at a Lat/Lon location, and allows you to specify units of the radius.

  Parameters:
    `latPoint` - latitude of center of arc in decimal degrees
    `lonPoint` - longitude of center of arc in decimal degrees
    `radius` - distance
    `units` - integer value for units for distance - KM, MILES, NMILES. If < 0, assume decimal degrees.
    `s` - starting angle of arc, decimal degrees
    `e` - angular extent of arc, decimal degrees
    `properties` - attributes for the arc.
  Throws:
    `java.io.IOException`

### updateArc

    public void updateArc(float latPoint,
                          float lonPoint,
                          float radius,
                          int units,
                          int nverts,
                          float s,
                          float e,
                          LinkProperties properties,
                          int graphicUpdateMask)
                   throws java.io.IOException

  Update an arc with a certain radius at a Lat/Lon location, and allows you to specify units of the radius, as well as the number of vertices to use to approximate the arc.

  Parameters:
    `latPoint` - latitude of center of arc in decimal degrees
    `lonPoint` - longitude of center of arc in decimal degrees
    `radius` - distance
    `units` - integer value for units for distance - OMArc.KM, OMArc.MILES, OMArc.NMILES. If < 0, assume decimal degrees.
    `nverts` - number of vertices for the poly-arc (if < 3, value is generated internally).
    `s` - starting angle of arc, decimal degrees
    `e` - angular extent of arc, decimal degrees
    `properties` - attributes for the arc.
  Throws:
    `java.io.IOException`

### updateBitmap

    public void updateBitmap(float lt,
                             float ln,
                             int w,
                             int h,
                             byte[] bytes,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Update the bitmap.

  Parameters:
    `lt` - latitude of placement of upper left corner of bitmap.
    `ln` - longitude of placement of upper left corner of bitmap.
    `w` - pixel width of bitmap.
    `h` - pixel height of bitmap.
    `bytes` - bitmap data.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkBitmap`

### updateBitmap

    public void updateBitmap(int x1,
                             int y1,
                             int w,
                             int h,
                             byte[] bytes,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Update the bitmap.

  Parameters:
    `x1` - horizontal placement of upper left corner of bitmap.
    `y1` - vertical placement of upper left corner of bitmap.
    `w` - pixel width of bitmap.
    `h` - pixel height of bitmap.
    `bytes` - bitmap data.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkBitmap`

### updateBitmap

    public void updateBitmap(float lt,
                             float ln,
                             int offset_x1,
                             int offset_y1,
                             int w,
                             int h,
                             byte[] bytes,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a bitmap in the response.

  Parameters:
    `lt` - latitude of placement of upper left corner of bitmap.
    `ln` - longitude of placement of upper left corner of bitmap.
    `offset_x1` - horizontal offset of upper left corner of bitmap.
    `offset_y1` - vertical offset of upper left corner of bitmap.
    `w` - pixel width of bitmap.
    `h` - pixel height of bitmap.
    `bytes` - bitmap data.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkBitmap`

### updateCircle

    public void updateCircle(float latPoint,
                             float lonPoint,
                             int w,
                             int h,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a circle in the response.

  Parameters:
    `latPoint` - latitude of placement of center of circle.
    `lonPoint` - longitude of placement of center of circle.
    `w` - pixel width of circle.
    `h` - pixel height of circle.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkCircle`

### updateCircle

    public void updateCircle(int x1,
                             int y1,
                             int w,
                             int h,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a circle in the response.

  Parameters:
    `x1` - horizontal pixel placement of center of circle..
    `y1` - vertical pixel placement of center of circle..
    `w` - pixel width of circle.
    `h` - pixel height of circle.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkCircle`

### updateCircle

    public void updateCircle(float latPoint,
                             float lonPoint,
                             int offset_x1,
                             int offset_y1,
                             int w,
                             int h,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a circle in the response.

  Parameters:
    `latPoint` - latitude of placement of center of circle.
    `lonPoint` - longitude of placement of center of circle.
    `offset_x1` - horizontal pixel offset of center of circle..
    `offset_y1` - vertical pixel offset of center of circle..
    `w` - width of circle.
    `h` - height of circle.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkCircle`

### updateCircle

    public void updateCircle(float latPoint,
                             float lonPoint,
                             float radius,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a circle in the response.

  Parameters:
    `latPoint` - latitude of placement of center of circle.
    `lonPoint` - longitude of placement of center of circle.
    `radius` - radius of circle, in decimal degrees..
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkCircle`

### updateCircle

    public void updateCircle(float latPoint,
                             float lonPoint,
                             float radius,
                             int units,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a circle in the response.

  Parameters:
    `latPoint` - latitude of placement of center of circle.
    `lonPoint` - longitude of placement of center of circle.
    `radius` - radius of circle, in decimal degrees..
    `units` - units of the radius - km, miles, nmiles, degrees..
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkCircle`

### updateCircle

    public void updateCircle(float latPoint,
                             float lonPoint,
                             float radius,
                             int units,
                             int nverts,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a circle in the response.

  Parameters:
    `latPoint` - latitude of placement of center of circle.
    `lonPoint` - longitude of placement of center of circle.
    `radius` - radius of circle, in decimal degrees..
    `units` - units of the radius - km, miles, nmiles, degrees..
    `nverts` - number of points to use to approximate the circle. If negative, the client algorithm will figure out what is best.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkCircle`

### updateEllipse

    public void updateEllipse(float latPoint,
                              float lonPoint,
                              float majorAxisSpan,
                              float minorAxisSpan,
                              int units,
                              float rotationAngle,
                              LinkProperties properties,
                              int graphicUpdateMask)
                       throws java.io.IOException

  Write an ellipse in the response.

  Parameters:
    `latPoint` - latitude of center of circle in decimal degrees
    `lonPoint` - longitude of center of circle in decimal degrees
    `majorAxisSpan` - x axis value, units
    `minorAxisSpan` - y axis value, units
    `units` - integer value for units for distance - OMCircle.KM, OMCircle.MILES, OMCircle.NMILES. If < 0, assume decimal degrees.
    `rotationAngle` - The angle by which the circle/ellipse is to be rotated, in radians
    `properties` - attributes for the circle.
  Throws:
    `java.io.IOException`

### updateEllipse

    public void updateEllipse(int x1,
                              int y1,
                              int majorAxisSpan,
                              int minorAxisSpan,
                              float rotateAngle,
                              LinkProperties properties,
                              int graphicUpdateMask)
                       throws java.io.IOException

  Write an ellipse in the response.

  Parameters:
    `x1` - window position of center point from left of window, in pixels
    `y1` - window position of center point from top of window, in pixels
    `majorAxisSpan` - horizontal diameter of circle/ellipse, pixels
    `minorAxisSpan` - vertical diameter of circle/ellipse, pixels
    `rotateAngle` - angle of rotation in Radians *
    `properties` - the LinkProperties describing the attributes of the ellipse.
  Throws:
    `java.io.IOException`

### updateEllipse

    public void updateEllipse(float latPoint,
                              float lonPoint,
                              int w,
                              int h,
                              float rotateAngle,
                              LinkProperties properties,
                              int graphicUpdateMask)
                       throws java.io.IOException

  Write an ellipse in the response.

  Parameters:
    `latPoint` - latitude of center of circle in decimal degrees
    `lonPoint` - longitude of center of circle in decimal degrees
    `w` - horizontal diameter of circle/ellipse, pixels
    `h` - vertical diameter of circle/ellipse, pixels
    `rotateAngle` - angle of rotation in Radians
    `properties` - the LinkProperties describing the attributes of the ellipse.
  Throws:
    `java.io.IOException`

### updateEllipse

    public void updateEllipse(float latPoint,
                              float lonPoint,
                              int offset_x1,
                              int offset_y1,
                              int w,
                              int h,
                              float rotateAngle,
                              LinkProperties properties,
                              int graphicUpdateMask)
                       throws java.io.IOException

  Write an ellipse in the response.

  Parameters:
    `latPoint` - latitude of center of circle in decimal degrees
    `lonPoint` - longitude of center of circle in decimal degrees
    `offset_x1` - # pixels to the right the center will be moved from lonPoint.
    `offset_y1` - # pixels down that the center will be moved from latPoint.
    `w` - horizontal diameter of circle/ellipse, pixels.
    `h` - vertical diameter of circle/ellipse, pixels.
    `rotateAngle` - the rotation of the ellipse around the center point, in radians.
    `properties` - the LinkProperties describing the attributes of the ellipse.
  Throws:
    `java.io.IOException`

### updateGrid

    public void updateGrid(float lt,
                           float ln,
                           int rows,
                           int columns,
                           float orientation,
                           float vResolution,
                           float hResolution,
                           int major,
                           int[] data,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Lat/Lon placement grid.

  Parameters:
    `lt` - latitude of the top of the grid.
    `ln` - longitude of the left side of the grid.
    `rows` - number of vertical points of the grid.
    `columns` - number of horizontal points of the grid.
    `orientation` - the direction of the vertical axits of the grid, in radians from up ( North).
    `vResolution` - degrees/point between rows of the grid.
    `hResolution` - degrees/point between columns of the grid.
    `major` - designation of the presentation of the data, as columns (COLUMN_MAJOR) or rows (ROW_MAJOR).
    `data` - data points of the grid.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkGrid`

### updateGrid

    public void updateGrid(int x1,
                           int y1,
                           int rows,
                           int columns,
                           float orientation,
                           float vResolution,
                           float hResolution,
                           int major,
                           int[] data,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  XY placement grid.

  Parameters:
    `x1` - window location of the left side of the grid.
    `y1` - window location of the top of the grid.
    `rows` - number of vertical points of the grid.
    `columns` - number of horizontal points of the grid.
    `orientation` - the direction of the vertical axits of the grid, in radians from up ( North).
    `vResolution` - pixels/point between rows of the grid.
    `hResolution` - pixels/point between columns of the grid.
    `major` - designation of the presentation of the data, as columns (COLUMN_MAJOR) or rows (ROW_MAJOR).
    `data` - data points of the grid.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkGrid`

### updateGrid

    public void updateGrid(float lt,
                           float ln,
                           int offset_x1,
                           int offset_y1,
                           int rows,
                           int columns,
                           float orientation,
                           float vResolution,
                           float hResolution,
                           int major,
                           int[] data,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Lat/lon placement with XY offset.

  Parameters:
    `lt` - latitude of the top of the image, before the offset.
    `ln` - longitude of the left side of the image, before the offset.
    `offset_x1` - number of pixels to move image to the right.
    `offset_y1` - number of pixels to move image down.
    `rows` - number of vertical points of the grid.
    `columns` - number of horizontal points of the grid.
    `orientation` - the direction of the vertical axits of the grid, in radians from up ( North).
    `vResolution` - pixels/point between rows of the grid.
    `hResolution` - pixels/point between columns of the grid.
    `major` - designation of the presentation of the data, as columns (COLUMN_MAJOR) or rows (ROW_MAJOR).
    `data` - data points of the grid.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkGrid`

### updateLine

    public void updateLine(float lat_1,
                           float lon_1,
                           float lat_2,
                           float lon_2,
                           int lineType,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a line in the response.

  Parameters:
    `lat_1` - latitude of placement of start of line.
    `lon_1` - longitude of placement of start of line.
    `lat_2` - latitude of placement of end of line.
    `lon_2` - longitude of placement of end of line.
    `lineType` - type of line - straight, rhumb, great circle..
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkLine`

### updateLine

    public void updateLine(float lat_1,
                           float lon_1,
                           float lat_2,
                           float lon_2,
                           int lineType,
                           int nsegs,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a line in the response.

  Parameters:
    `lat_1` - latitude of placement of start of line.
    `lon_1` - longitude of placement of start of line.
    `lat_2` - latitude of placement of end of line.
    `lon_2` - longitude of placement of end of line.
    `lineType` - type of line - straight, rhumb, great circle..
    `nsegs` - number of points to use to approximate curved line..
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkLine`

### updateLine

    public void updateLine(int x1,
                           int y1,
                           int x2,
                           int y2,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a line in the response.

  Parameters:
    `x1` - Horizontal pixel placement of start of line.
    `y1` - Vertical pixel placement of start of line.
    `x2` - Horizontal pixel placement of end of line.
    `y2` - Vertical pixel placement of end of line.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkLine`

### updateLine

    public void updateLine(float lat_1,
                           float lon_1,
                           int x1,
                           int y1,
                           int x2,
                           int y2,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a line in the response.

  Parameters:
    `lat_1` - latitude of placement of line.
    `lon_1` - longitude of placement of line.
    `x1` - Horizontal pixel offset of start of line.
    `y1` - Vertical pixel offset of start of line.
    `x2` - Horizontal pixel offset of end of line.
    `y2` - Vertical pixel offset of end of line.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkLine`

### updateRaster

    public void updateRaster(float lt,
                             float ln,
                             javax.swing.ImageIcon ii,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException,
                             java.lang.InterruptedException

  Write a raster in the response.

  Parameters:
    `lt` - latitude of placement of upper left corner of raster.
    `ln` - longitude of placement of upper left corner of raster.
    `ii` - ImageIcon to place on the map..
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(int x1,
                             int y1,
                             javax.swing.ImageIcon ii,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException,
                             java.lang.InterruptedException

  Write a raster in the response.

  Parameters:
    `x1` - horizontal pixel location of upper left corner of raster.
    `y1` - vertical pixel location of upper left corner of raster.
    `ii` - ImageIcon to place on the map..
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(float lt,
                             float ln,
                             int offset_x1,
                             int offset_y1,
                             javax.swing.ImageIcon ii,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException,
                             java.lang.InterruptedException

  Write a raster in the response.

  Parameters:
    `lt` - latitude of placement of upper left corner of raster.
    `ln` - longitude of placement of upper left corner of raster.
    `offset_x1` - horizontal pixel offset of upper left corner of raster.
    `offset_y1` - vertical pixel offset of upper left corner of raster.
    `ii` - ImageIcon to place on the map..
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(float lt,
                             float ln,
                             java.awt.Image image,
                             int image_width,
                             int image_height,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException,
                             java.lang.InterruptedException

  Write a bitmap in the response.

  Parameters:
    `lt` - latitude of placement of upper left corner of bitmap.
    `ln` - longitude of placement of upper left corner of bitmap.
    `image_width` - width of bitmap.
    `image_height` - height of bitmap.
    `image` - the java.awt.Image.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(int x1,
                             int y1,
                             java.awt.Image image,
                             int image_width,
                             int image_height,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException,
                             java.lang.InterruptedException

  Write a raster in the response.

  Parameters:
    `x1` - horizontal pixel location of upper left corner of raster.
    `y1` - vertical pixel location of upper left corner of raster.
    `image` - Image to place on map.
    `image_width` - width of image.
    `image_height` - height of image.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(float lt,
                             float ln,
                             int offset_x1,
                             int offset_y1,
                             java.awt.Image image,
                             int image_width,
                             int image_height,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException,
                             java.lang.InterruptedException

  Write a raster in the response.

  Parameters:
    `lt` - latitude of placement of upper left corner of raster.
    `ln` - longitude of placement of upper left corner of raster.
    `offset_x1` - horizontal pixel offset of upper left corner of raster.
    `offset_y1` - vertical pixel offset of upper left corner of raster.
    `image` - Image to place on map.
    `image_width` - width of image.
    `image_height` - height of image.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(float lt,
                             float ln,
                             int w,
                             int h,
                             int[] pix,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a raster in the response.

  Parameters:
    `lt` - latitude of placement of upper left corner of raster.
    `ln` - longitude of placement of upper left corner of raster.
    `w` - width of raster.
    `h` - height of raster.
    `pix` - integer image pixel data.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(int x1,
                             int y1,
                             int w,
                             int h,
                             int[] pix,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a raster in the response.

  Parameters:
    `x1` - horizontal pixel location of upper left corner of raster.
    `y1` - vertical pixel location of upper left corner of raster.
    `w` - width of raster.
    `h` - height of raster.
    `pix` - integer image pixel data.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(float lt,
                             float ln,
                             int offset_x1,
                             int offset_y1,
                             int w,
                             int h,
                             int[] pix,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a raster in the response.

  Parameters:
    `lt` - latitude of placement of upper left corner of bitmap.
    `ln` - longitude of placement of upper left corner of bitmap.
    `offset_x1` - horizontal pixel offset of upper left corner of raster.
    `offset_y1` - vertical pixel offset of upper left corner of raster.
    `w` - width of raster.
    `h` - height of raster.
    `pix` - integer image pixel data.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(float lt,
                             float ln,
                             java.lang.String url,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a raster in the response.

  Parameters:
    `lt` - latitude of placement of upper left corner of raster.
    `ln` - longitude of placement of upper left corner of raster.
    `url` - the url to download image from.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(int x1,
                             int y1,
                             java.lang.String url,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a raster in the response.

  Parameters:
    `x1` - horizontal pixel location of upper left corner of raster.
    `y1` - vertical pixel location of upper left corner of raster.
    `url` - the url to download the image from.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(float lt,
                             float ln,
                             int offset_x1,
                             int offset_y1,
                             java.lang.String url,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a raster in the response.

  Parameters:
    `lt` - latitude of placement of upper left corner of raster.
    `ln` - longitude of placement of upper left corner of raster.
    `offset_x1` - horizontal pixel offset of upper left corner of raster.
    `offset_y1` - vertical pixel offset of upper left corner of raster.
    `url` - the url to download the image from.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(float lt,
                             float ln,
                             int w,
                             int h,
                             byte[] bytes,
                             java.awt.Color[] colorTable,
                             int trans,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a raster in the response.

  Parameters:
    `lt` - latitude of placement of upper left corner of raster.
    `ln` - longitude of placement of upper left corner of raster.
    `w` - width of image.
    `h` - height of image.
    `bytes` - the image data, indexes into the colortable.
    `colorTable` - RGB integers representing colortable of image.
    `trans` - the transparency of image.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(int x1,
                             int y1,
                             int w,
                             int h,
                             byte[] bytes,
                             java.awt.Color[] colorTable,
                             int trans,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a raster in the response.

  Parameters:
    `x1` - horizontal pixel location of upper left corner of raster.
    `y1` - vertical pixel location of upper left corner of raster.
    `w` - width of image.
    `h` - height of image.
    `bytes` - the image data, indexes into the colortable.
    `colorTable` - RGB integers representing colortable of image.
    `trans` - the transparency of image.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRaster`

### updateRaster

    public void updateRaster(float lt,
                             float ln,
                             int offset_x1,
                             int offset_y1,
                             int w,
                             int h,
                             byte[] bytes,
                             java.awt.Color[] colorTable,
                             int trans,
                             LinkProperties properties,
                             int graphicUpdateMask)
                      throws java.io.IOException

  Write a raster in the response.

  Parameters:
    `lt` - latitude of placement of upper left corner of raster.
    `ln` - longitude of placement of upper left corner of raster.
    `offset_x1` - horizontal pixel offset of upper left corner of raster.
    `offset_y1` - vertical pixel offset of upper left corner of raster.
    `w` - width of image.
    `h` - height of image.
    `bytes` - the image data, indexes into the colortable.
    `colorTable` - RGB integers representing colortable of image.
    `trans` - the transparency of image.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRaster`

### updateRectangle

    public void updateRectangle(float lt1,
                                float ln1,
                                float lt2,
                                float ln2,
                                int lType,
                                LinkProperties properties,
                                int graphicUpdateMask)
                         throws java.io.IOException

  Write a rectangle in the response.

  Parameters:
    `lt1` - latitude of placement of upper left corner of rectangle.
    `ln1` - longitude of placement of upper left corner of rectangle.
    `lt2` - latitude of placement of lower right corner of rectangle.
    `ln2` - longitude of placement of lower right corner of rectangle.
    `lType` - the line type to use for the rectangle - straight, rhumb, great circle.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRectangle`

### updateRectangle

    public void updateRectangle(float lt1,
                                float ln1,
                                float lt2,
                                float ln2,
                                int lType,
                                int nsegs,
                                LinkProperties properties,
                                int graphicUpdateMask)
                         throws java.io.IOException

  Write a rectangle in the response.

  Parameters:
    `lt1` - latitude of placement of upper left corner of rectangle.
    `ln1` - longitude of placement of upper left corner of rectangle.
    `lt2` - latitude of placement of lower right corner of rectangle.
    `ln2` - longitude of placement of lower right corner of rectangle.
    `lType` - the line type to use for the rectangle - straight, rhumb, great circle.
    `nsegs` - number of segments to use to approximate curved rectangle.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRectangle`

### updateRectangle

    public void updateRectangle(int x1,
                                int y1,
                                int x2,
                                int y2,
                                LinkProperties properties,
                                int graphicUpdateMask)
                         throws java.io.IOException

  Write a rectangle in the response.

  Parameters:
    `x1` - Horizontal pixel offset of upper left corner of rectangle..
    `y1` - Vertical pixel offset of upper left corner of rectangle.
    `x2` - Horizontal pixel offset of lower right corner of rectangle..
    `y2` - Vertical pixel offset of lower right corner of rectangle.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRectangle`

### updateRectangle

    public void updateRectangle(float lt1,
                                float ln1,
                                int x1,
                                int y1,
                                int x2,
                                int y2,
                                LinkProperties properties,
                                int graphicUpdateMask)
                         throws java.io.IOException

  Write a rectangle in the response.

  Parameters:
    `lt1` - latitude of placement of upper left corner of bitmap.
    `ln1` - longitude of placement of upper left corner of bitmap.
    `x1` - Horizontal pixel offset of upper left corner of rectangle..
    `y1` - Vertical pixel offset of upper left corner of rectangle.
    `x2` - Horizontal pixel offset of lower right corner of rectangle..
    `y2` - Vertical pixel offset of lower right corner of rectangle.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkRectangle`

### updatePoint

    public void updatePoint(float lt1,
                            float ln1,
                            int radius,
                            LinkProperties properties,
                            int graphicUpdateMask)
                     throws java.io.IOException

  Write a point in the response.

  Parameters:
    `lt1` - latitude of point.
    `ln1` - longitude of point.
    `radius` - the radius of the point graphic.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkPoint`

### updatePoint

    public void updatePoint(int x1,
                            int y1,
                            int radius,
                            LinkProperties properties,
                            int graphicUpdateMask)
                     throws java.io.IOException

  Write a point in the response.

  Parameters:
    `x1` - the horizontal screen pixel location of the point.
    `y1` - the vertical screen pixel location of the point.
    `radius` - the pixel radius size of the point.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkPoint`

### updatePoint

    public void updatePoint(float lt1,
                            float ln1,
                            int x1,
                            int y1,
                            int radius,
                            LinkProperties properties,
                            int graphicUpdateMask)
                     throws java.io.IOException

  Write a point in the response.

  Parameters:
    `lt1` - latitude of placement of upper left corner of bitmap.
    `ln1` - longitude of placement of upper left corner of bitmap.
    `x1` - Horizontal pixel offset of upper left corner of point..
    `y1` - Vertical pixel offset of upper left corner of point.
    `radius` - the pixel size of the point.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkPoint`

### updatePoly

    public void updatePoly(double[] llPoints,
                           int units,
                           int lType,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a poly in the response.

  Parameters:
    `llPoints` - alternating latitude and longitude points of poly.
    `units` - degrees or radians.
    `lType` - straight, rhumb, great circle.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkPoly`

### updatePoly

    public void updatePoly(double[] llpoints,
                           int units,
                           int lType,
                           int nsegs,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a poly in the response.

  Parameters:
    `llpoints` - alternating latitude and longitude points of poly.
    `units` - degrees or radians.
    `lType` - straight, rhumb, great circle.
    `nsegs` - number of segments to use to approximate curved poly lines..
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkPoly`

### updatePoly

    public void updatePoly(int[] xypoints,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a poly in the response.

  Parameters:
    `xypoints` - alternating x and y pixel locations of poly.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkPoly`

### updatePoly

    public void updatePoly(int[] xpoints,
                           int[] ypoints,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a poly in the response.

  Parameters:
    `xpoints` - horizontal pixel locations of poly.
    `ypoints` - vertical pixel locations of poly.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkPoly`

### updatePoly

    public void updatePoly(float latPoint,
                           float lonPoint,
                           int[] xypoints,
                           int cMode,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a poly in the response.

  Parameters:
    `latPoint` - the latitude anchor point of the poly.
    `lonPoint` - the longitude anchor point of the poly.
    `xypoints` - alternating x and y offset polygon points.
    `cMode` - Coordinate Mode (Origin or Previous) that indicate whether the x and y points are relative to the first point, or to the previous point. .
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkPoly`

### updatePoly

    public void updatePoly(float latPoint,
                           float lonPoint,
                           int[] xpoints,
                           int[] ypoints,
                           int cMode,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a poly in the response.

  Parameters:
    `latPoint` - the latitude anchor point of the poly.
    `lonPoint` - the longitude anchor point of the poly.
    `xpoints` - horizontal pixel offset polygon points.
    `ypoints` - vertical pixel offset polygon points.
    `cMode` - Coordinate Mode (Origin or Previous) that indicate whether the x and y points are relative to the first point, or to the previous point. .
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkPoly`

### updateText

    public void updateText(float latPoint,
                           float lonPoint,
                           java.lang.String stuff,
                           int justify,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a text in the response.

  Parameters:
    `latPoint` - latitude of placement of text.
    `lonPoint` - longitude of placement of text.
    `stuff` - the text.
    `justify` - place the text left, right or centered on location.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkText`

### updateText

    public void updateText(int x,
                           int y,
                           java.lang.String stuff,
                           int justify,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a text in the response.

  Parameters:
    `x` - Horizontal pixel location of text.
    `y` - Vertical pixel location of text.
    `stuff` - the text.
    `justify` - place the text left, right or centered on location.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkText`

### updateText

    public void updateText(float latPoint,
                           float lonPoint,
                           int offset_x,
                           int offset_y,
                           java.lang.String stuff,
                           int justify,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a text in the response.

  Parameters:
    `latPoint` - latitude of text placement.
    `lonPoint` - longitude of text placement.
    `offset_x` - Horizontal pixel offset of text.
    `offset_y` - Vertical pixel offset of text.
    `stuff` - the text.
    `justify` - place the text left, right or centered on location.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkText`

### updateText

    public void updateText(float latPoint,
                           float lonPoint,
                           java.lang.String stuff,
                           java.lang.String font,
                           int justify,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a text in the response.

  Parameters:
    `latPoint` - latitude of placement of text.
    `lonPoint` - longitude of placement of text.
    `stuff` - the text.
    `font` - a text representation of the font.
    `justify` - place the text left, right or centered on location.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkText`

### updateText

    public void updateText(int x,
                           int y,
                           java.lang.String stuff,
                           java.lang.String font,
                           int justify,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a text in the response.

  Parameters:
    `x` - Horizontal pixel location of text.
    `y` - Vertical pixel location of text.
    `stuff` - the text.
    `font` - a text representation of the font.
    `justify` - place the text left, right or centered on location.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkText`

### updateText

    public void updateText(float latPoint,
                           float lonPoint,
                           int offset_x,
                           int offset_y,
                           java.lang.String stuff,
                           java.lang.String font,
                           int justify,
                           LinkProperties properties,
                           int graphicUpdateMask)
                    throws java.io.IOException

  Write a text in the response.

  Parameters:
    `latPoint` - latitude of text placement.
    `lonPoint` - longitude of text placement.
    `offset_x` - Horizontal pixel offset of text.
    `offset_y` - Vertical pixel offset of text.
    `stuff` - the text.
    `font` - a text representation of the font.
    `justify` - place the text left, right or centered on location.
    `properties` - description of drawing attributes.
    `graphicUpdateMask` - the mask describing the graphic update.
  Throws:
    `java.io.IOException`
  See Also:
    `LinkText`

### updateGraphic

    public void updateGraphic(OMGraphic omGraphic,
                              int graphicUpdateMask)
                       throws java.io.IOException

  Write an OMGraphic to the response.

  Throws:
    `java.io.IOException`
  See Also:
    `LinkText`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details